> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wizcommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Product By ID

> Get Product By ID



## OpenAPI

````yaml get /v1/products/{id}
openapi: 3.0.0
info:
  description: Open API's for WizCommerce API's
  title: WizCommerce Open API's
  termsOfService: https://wizcommerce.com/terms/
  contact:
    name: Tech Support
    url: https://help.wizcommerce.com/
    email: tech@wizcommerce.com
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: '1.0'
servers:
  - url: https://api.wizcommerce.com
    description: Production BaseURL
  - url: https://api-staging.sourcerer.tech
    description: Staging BaseURL
security: []
paths:
  /v1/products/{id}:
    get:
      tags:
        - Product
      summary: Get Product By ID
      description: Get Product By ID
      parameters:
        - description: Product ID
          name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/dtos.SuccessResponse'
                  - type: object
                    properties:
                      data:
                        $ref: '#/components/schemas/dtos.ProductDetailsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errors.HttpError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dtos.SuccessResponse:
      type: object
      properties:
        data:
          x-order: '1'
    dtos.ProductDetailsResponse:
      type: object
      properties:
        id:
          description: UUID
          type: string
          x-order: '1'
          example: 01f5d171-d3e3-4b2b-bd57-0727194b5bed
        reference_id:
          type: string
          x-order: '1'
          example: SKU123
        sku:
          type: string
          x-order: '2'
          example: SKU123
        name:
          type: string
          x-order: '3'
          example: Product Name
        group_code:
          type: string
          x-order: '4'
          example: PRD1
        medias:
          type: array
          items:
            $ref: '#/components/schemas/dtos.ProductMediaResponse'
          x-order: '5'
        is_primary:
          type: boolean
          x-order: '6'
          example: true
        status:
          type: string
          enum:
            - active
            - inactive
          x-order: '7'
          example: active
        attributes:
          type: array
          items:
            $ref: '#/components/schemas/dtos.AttributeResponse'
          x-order: '8'
        created_at:
          type: string
          x-order: '9'
        updated_at:
          type: string
          x-order: '10'
        price_lists:
          type: array
          items:
            $ref: >-
              #/components/schemas/openapi_internal_dtos_product.ProductPriceResponse
          x-order: '11'
    errors.HttpError:
      type: object
      properties:
        code:
          type: string
          x-order: '1'
        message:
          type: string
          x-order: '2'
        details:
          type: array
          items:
            $ref: '#/components/schemas/errors.HttpErrorDetails'
          x-order: '3'
    dtos.ProductMediaResponse:
      type: object
      properties:
        is_default:
          type: boolean
          example: true
        type:
          type: string
          example: image
        url:
          type: string
          example: https://example.com/image1.jpg
    dtos.AttributeResponse:
      type: object
      properties:
        id:
          type: string
          x-order: '1'
          example: '1234567890'
        name:
          type: string
          x-order: '2'
          example: color
        value:
          type: string
          x-order: '3'
          example: red
    openapi_internal_dtos_product.ProductPriceResponse:
      type: object
      properties:
        created_at:
          type: string
        id:
          type: string
        max_order_quantity:
          type: integer
        min_order_quantity:
          type: integer
        price:
          type: number
        step_increment:
          type: integer
        updated_at:
          type: string
    errors.HttpErrorDetails:
      type: object
      properties:
        field:
          type: string
          x-order: '1'
        reason:
          type: string
          x-order: '2'
  securitySchemes:
    ApiKeyAuth:
      description: API Key for authentication
      type: apiKey
      name: X-API-Key
      in: header

````